Error installing 8.4L1 on FreeAXP 4.0

Having difficulties when installing the system? Your system runs slowly and requires some tweaking? You can get help here.

Topic author
cct
Contributor
Posts: 13
Joined: Sat Aug 15, 2020 9:00 am
Reputation: 0
Status: Offline

Error installing 8.4L1 on FreeAXP 4.0

Post by cct » Sun Aug 16, 2020 7:08 am

Trying to install VSI VMS V8.4-2L1 on FreeAXP - Avanti 4.0.0.649 running on Win 10 64,
Install image from the Community licensed distribution ISO

All goes well until about 10% when I get a file not found error. From the console:

Code: Select all

Execution phase starting ...

The following products will be installed to destinations:
    VSI AXPVMS AVAIL_MAN_BASE V8.4-2L1     DISK$ALPHASYS:[VMS$COMMON.]
    VSI AXPVMS CDSA V2.4-320A              DISK$ALPHASYS:[VMS$COMMON.]
    VSI AXPVMS DECNET_OSI V8.4-D           DISK$ALPHASYS:[VMS$COMMON.]
    VSI AXPVMS DWMOTIF V1.7-F              DISK$ALPHASYS:[VMS$COMMON.]
    VSI AXPVMS DWMOTIF_SUPPORT V8.4-2L1    DISK$ALPHASYS:[VMS$COMMON.]
    VSI AXPVMS HPBINARYCHECKER V1.1-A      DISK$ALPHASYS:[VMS$COMMON.]
    VSI AXPVMS KERBEROS V3.1-152A          DISK$ALPHASYS:[VMS$COMMON.]
    VSI AXPVMS OPENVMS V8.4-2L1            DISK$ALPHASYS:[VMS$COMMON.]
    VSI AXPVMS SSL V1.4-502A               DISK$ALPHASYS:[VMS$COMMON.]
    VSI AXPVMS SSL1 V1.0-2JA               DISK$ALPHASYS:[VMS$COMMON.]
    VSI AXPVMS TCPIP V5.7-13ECO5F          DISK$ALPHASYS:[VMS$COMMON.]
    VSI AXPVMS TDC_RT V2.3-1220            DISK$ALPHASYS:[VMS$COMMON.]
    VSI AXPVMS VMS V8.4-2L1                DISK$ALPHASYS:[VMS$COMMON.]

Portion done: 0%...10%

%PCSI-E-OPENOUT, error opening DISK$ALPHASYS:[VMS$COMMON.][SYSHLP]HELPLIB.HLB; a
s output
-RMS-E-FNF, file not found
%PCSI-E-OPFAILED, operation failed
Terminating is strongly recommended.  Do you want to terminate? [YES] no

%PCSI-E-OPENIN, error opening DISK$ALPHASYS:[VMS$COMMON.][SYSLIB]DCLTABLES.EXE;
as input
-RMS-E-FNF, file not found
%PCSI-E-OPFAILED, operation failed
Terminating is strongly recommended.  Do you want to terminate? [YES]
Second time around, I paused AV protection - from which I had already exempted the disk containers

Is this an image problem,or am I missing something?

Chris

User avatar

martinv
Active Contributor
Posts: 33
Joined: Fri Jun 14, 2019 11:05 pm
Reputation: 0
Location: Goslar, Germany
Status: Offline
Contact:

Re: Error installing 8.4L1 on FreeAXP 4.0

Post by martinv » Mon Aug 17, 2020 4:12 am

I encountered the same errors, using the same FreeAXP version under Windows 10 Enterprise 64-bit, and no precautions with regard to the emulator files.

Undaunted I replied "NO" to the termination prompts, and the installation went on through to the end. The resulting system disk boots, lets me login and overall looks good to me.

The online help has entries for SSL, TCPIP_Services, and XAUTH. I wonder which product tried to access HELPLIB prematurely.

cu,
Martin
If you think it's expensive to hire a professional, wait until you hire an amateur.


Topic author
cct
Contributor
Posts: 13
Joined: Sat Aug 15, 2020 9:00 am
Reputation: 0
Status: Offline

Re: Error installing 8.4L1 on FreeAXP 4.0

Post by cct » Mon Aug 17, 2020 5:53 am

OK, but how many more errors are there?

FIrst the help library, then DCLTABLES... I never saw this in the DEC/HP days

I will try again and persevere.

hris

User avatar

martinv
Active Contributor
Posts: 33
Joined: Fri Jun 14, 2019 11:05 pm
Reputation: 0
Location: Goslar, Germany
Status: Offline
Contact:

Re: Error installing 8.4L1 on FreeAXP 4.0

Post by martinv » Mon Aug 17, 2020 7:18 am

OK, but how many more errors are there?
No error messages apart from the above mentioned.
I never saw this in the DEC/HP days
You won't get any errors on an update installation, I bet.
Last edited by martinv on Mon Aug 17, 2020 7:19 am, edited 2 times in total.
If you think it's expensive to hire a professional, wait until you hire an amateur.


Topic author
cct
Contributor
Posts: 13
Joined: Sat Aug 15, 2020 9:00 am
Reputation: 0
Status: Offline

Re: Error installing 8.4L1 on FreeAXP 4.0

Post by cct » Mon Aug 17, 2020 12:41 pm

Neither did I
Well, I hope not on an update

Looks OK so far, just testing my memory setting it all up!

Chris


dmjb
Visitor
Posts: 2
Joined: Mon Aug 17, 2020 4:38 pm
Reputation: 0
Status: Offline

Re: Error installing 8.4L1 on FreeAXP 4.0

Post by dmjb » Mon Aug 17, 2020 5:24 pm

Had the same result installing 8.4-2L1 onto the latest version of FreeAXP. For comparison, I tried installing the hobbyist HP 8.4 image with the same FreeAXP configuration, and did not see this error.


reinhardtjh
Member
Posts: 9
Joined: Sun Feb 23, 2020 7:49 am
Reputation: 0
Location: Fort Worth, TX USA
Status: Offline

Re: Error installing 8.4L1 on FreeAXP 4.0

Post by reinhardtjh » Sun Sep 06, 2020 7:14 pm

Doing a fresh install on an Alphaserver DS10 and got the same thing. I did not get this error on an upgrade from HP OpenVMS Alpha V8.3 on an XP1000.

Code: Select all

    The installation operation can provide brief or detailed descriptions.
    In either case, you can request the detailed descriptions by typing ?.

Do you always want detailed descriptions? (Yes/No) [No]

The system was booted from a device containing the OpenVMS Alpha distribution.
Validation of signed kits is not supported in this restricted environment.

The following product has been selected:
    VSI AXPVMS OPENVMS V8.4-2L1            Platform (product suite)

Configuration phase starting ...

You will be asked to choose options, if any, for each selected product and for
any products that may be installed to satisfy software dependency requirements.

Configuring VSI AXPVMS OPENVMS V8.4-2L1: OPENVMS and related products Platform

    Copyright 2015-2016 VMS Software, Inc.

    VMS Software, Inc.

Do you want the defaults for all options? [YES]

Code: Select all

Do you want to review the options? [NO] yes

VSI AXPVMS OPENVMS V8.4-2L1: OPENVMS and related products Platform
    VSI AXPVMS VMS V8.4-2L1: OpenVMS Operating System
      DECdtm Distributed Transaction Manager: YES
      Support for DECnet-Plus or DECnet (Phase IV) for OpenVMS: YES
      Programming Support: YES
        Debugger Utility: YES
        Image Dump Utility: YES
        Macro libraries: YES
        Macro-32 Migration Compiler: YES
        TLB intermediary form of STARLET: YES
        C Object Libraries: YES
        C Header Files: YES
        VMS text libraries of Ada declarations: YES
      RMS Journaling Recovery Utility: YES
      System Programming Support: YES
        Delta Debugger: YES
        System Dump Analyzer Utility: YES
        Miscellaneous Symbol Table Files: YES
      OpenVMS Management Station Software -- PC files: YES
      Utilities: YES
        Phone Utility: YES
        Error Log Generator Utility: YES
        XPG4 Internationalization Utilities: YES
        World Wide PostScript Printing Subsystem: YES
      Bliss Require Files: YES
      Example Files: YES
      Message Facility Files (HELP/MESSAGE): YES
      Translated Image Support: YES
      UETP Files: YES
      DECwindows Server Support: YES
        VSI AXPVMS DWMOTIF_SUPPORT V8.4-2L1: DECwindows Server Support
          DECwindows workstation files: YES
          Video fonts: YES
            100 dots-per-inch video fonts: YES
          Euro base support: YES
            Euro 100 dots-per-inch video fonts: YES
      Delete any obsolete OpenVMS files: YES
      Delete files archived by OpenVMS remedial kits: YES
    Availability Manager (base) for OpenVMS Alpha
      VSI AXPVMS AVAIL_MAN_BASE V8.4-2L1: VSI Availability Manager Base OS Drivers
    CDSA for OpenVMS Alpha
      VSI AXPVMS CDSA V2.4-320A
    KERBEROS for OpenVMS Alpha
      VSI AXPVMS KERBEROS V3.1-152A
    SSL for OpenVMS Alpha (based on OpenSSL V0.9.8)
      VSI AXPVMS SSL V1.4-502A: SSL V1.4 for OpenVMS Alpha (Based on OpenSSL 0.9.8ze)
        Run the installation verification procedure (IVP)?: YES
    SSL1 V1.0 for OpenVMS Alpha (based on OpenSSL V1.0.2)
      VSI AXPVMS SSL1 V1.0-2JA: SSL1 for OpenVMS AXP V1.0-2J (Based on OpenSSL 1.0.2J)
        Run the installation verification procedure (IVP)?: YES
    Performance Data Collector (base) for OpenVMS Alpha
      VSI AXPVMS TDC_RT V2.3-1220: The Performance Data Collector (base) for OpenVMS
    HP Binary Checker for OpenVMS Alpha
      VSI AXPVMS HPBINARYCHECKER V1.1-A: HP Binary Checker
    DECwindows Motif for OpenVMS Alpha: YES
      VSI AXPVMS DWMOTIF V1.7-F: DECwindows Motif
        Install Low Bandwidth X (LBX) Support: YES
        Install the DECwindows Motif Version 1.7 client software: YES
          Install New Desktop: YES
            Install Manual (reference) pages for the New Desktop: YES
            Make the New Desktop the default desktop: YES
          Install traditional DECwindows Desktop: YES
          Programming Support for the C Language: YES
          Programming Support for the Pascal Language: YES
          Programming Support for the FORTRAN Language: YES
          Programming Support for the New Desktop: YES
          Programming examples: YES
            Sound example files: YES
            Programming examples for DECwindows: YES
            Programming examples for the New Desktop: YES
          Translated Image Support: YES
    DECnet-Plus for OpenVMS Alpha: NO
    DECnet Phase IV for OpenVMS Alpha: YES
      VSI AXPVMS DECNET_PHASE_IV V8.4-2L1: DECNET_PHASE_IV
    TCP/IP Services for OpenVMS: YES
      VSI AXPVMS TCPIP V5.7-13ECO5F: VSI TCP/IP Services for OpenVMS.
        Applications: YES

Are you satisfied with these options? [YES]

Execution phase starting ...

The following products will be installed to destinations:
    VSI AXPVMS AVAIL_MAN_BASE V8.4-2L1     DISK$ASIMOV084:[VMS$COMMON.]
    VSI AXPVMS CDSA V2.4-320A              DISK$ASIMOV084:[VMS$COMMON.]
    VSI AXPVMS DECNET_PHASE_IV V8.4-2L1    DISK$ASIMOV084:[VMS$COMMON.]
    VSI AXPVMS DWMOTIF V1.7-F              DISK$ASIMOV084:[VMS$COMMON.]
    VSI AXPVMS DWMOTIF_SUPPORT V8.4-2L1    DISK$ASIMOV084:[VMS$COMMON.]
    VSI AXPVMS HPBINARYCHECKER V1.1-A      DISK$ASIMOV084:[VMS$COMMON.]
    VSI AXPVMS KERBEROS V3.1-152A          DISK$ASIMOV084:[VMS$COMMON.]
    VSI AXPVMS OPENVMS V8.4-2L1            DISK$ASIMOV084:[VMS$COMMON.]
    VSI AXPVMS SSL V1.4-502A               DISK$ASIMOV084:[VMS$COMMON.]
    VSI AXPVMS SSL1 V1.0-2JA               DISK$ASIMOV084:[VMS$COMMON.]
    VSI AXPVMS TCPIP V5.7-13ECO5F          DISK$ASIMOV084:[VMS$COMMON.]
    VSI AXPVMS TDC_RT V2.3-1220            DISK$ASIMOV084:[VMS$COMMON.]
    VSI AXPVMS VMS V8.4-2L1                DISK$ASIMOV084:[VMS$COMMON.]

Portion done: 0%...10%

%PCSI-E-OPENOUT, error opening DISK$ASIMOV084:[VMS$COMMON.][SYSHLP]HELPLIB.HLB; as output
-RMS-E-FNF, file not found
%PCSI-E-OPFAILED, operation failed
Terminating is strongly recommended.  Do you want to terminate? [YES] no

%PCSI-E-OPENIN, error opening DISK$ASIMOV084:[VMS$COMMON.][SYSLIB]DCLTABLES.EXE; as input
-RMS-E-FNF, file not found
%PCSI-E-OPFAILED, operation failed
Terminating is strongly recommended.  Do you want to terminate? [YES] no
Portion done: 20%...30%...40%...50%...60%...70%...80%...90%
%PCSI-I-PRCOUTPUT, output from subprocess follows ...
% - Execute SYS$MANAGER:TCPIP$CONFIG.COM to proceed with configuration of
%   HP TCP/IP Services for OpenVMS.
%
Portion done: 100%

The following products have been installed:
    VSI AXPVMS AVAIL_MAN_BASE V8.4-2L1     Layered Product
    VSI AXPVMS CDSA V2.4-320A              Layered Product
    VSI AXPVMS DECNET_PHASE_IV V8.4-2L1    Layered Product
    VSI AXPVMS DWMOTIF V1.7-F              Layered Product
    VSI AXPVMS DWMOTIF_SUPPORT V8.4-2L1    Layered Product
    VSI AXPVMS HPBINARYCHECKER V1.1-A      Layered Product
    VSI AXPVMS KERBEROS V3.1-152A          Layered Product
    VSI AXPVMS OPENVMS V8.4-2L1            Platform (product suite)
    VSI AXPVMS SSL V1.4-502A               Layered Product
    VSI AXPVMS SSL1 V1.0-2JA               Layered Product
    VSI AXPVMS TCPIP V5.7-13ECO5F          Layered Product
    VSI AXPVMS TDC_RT V2.3-1220            Layered Product
    VSI AXPVMS VMS V8.4-2L1                Operating System


John H. Reinhardt
  • VMS user since 1981


volkerhalle
Contributor
Posts: 13
Joined: Fri Aug 14, 2020 11:31 am
Reputation: 0
Status: Offline

Re: Error installing 8.4L1 on FreeAXP 4.0

Post by volkerhalle » Tue Sep 08, 2020 3:27 am

This is almost certainly a bug in the VSI OpenVMS Alpha V8.4-2L1 kit and indicates, that VSI has never tested a fresh install of this kit on an empty or non-OpenVMS system disk. The 'workaround' seems to be easy: do not abort the installation.

Do not expect a fix for the existing kit. If your software support status allows, consider to raise a call to VSI to try to prevent this type of problem in future kits.

Volker.


bhall
Visitor
Posts: 2
Joined: Tue Jun 25, 2019 5:12 pm
Reputation: 0
Status: Offline

Re: Error installing 8.4L1 on FreeAXP 4.0

Post by bhall » Tue Sep 08, 2020 10:20 am

OpenVMS Alpha 8.4-2L1 was released as an upgrade per section 1.1 of the "VSI OpenVMS Alpha Version
8.4-2L1 Upgrade Manual".

VSI OpenVMS Alpha Version 8.4-2L1 is an Alpha UPGRADE release only. Your HPE Alpha server
must be running one of the following HPE OpenVMS Alpha versions to apply this upgrade:
• OpenVMS Alpha Version 7.3-2
• OpenVMS Alpha Version 8.3
• OpenVMS Alpha Version 8.4


volkerhalle
Contributor
Posts: 13
Joined: Fri Aug 14, 2020 11:31 am
Reputation: 0
Status: Offline

Re: Error installing 8.4L1 on FreeAXP 4.0

Post by volkerhalle » Wed Sep 09, 2020 1:34 am

Thanks for the clarification.

But then running a HP/HPE OpenVMS Alpha version should be a prerequisite for installing VSI OpenVMS Alpha V8.4-2L1

Volker.

Post Reply